#!/bin/awk -f 

# Measuring utility for the damped harmonic oscillator.
# Reads in data in the format of dlo.dat

/# omega_0=/{
  omega_0 = $3; omega = $5; gamma = $7; a_0 = $9;
  print;
}

$1 != "#" { # we ignore comment lines
  t = $1;
  x = $2;
  v = $3;
  E = $4;

# We determine the maxima of x(t). This happens when v=0, i.e. when
# the sign of v changes
  if(vprev * v <= 0 ){
    amp = (x>0)? x:-x; #absolute value of x
    T   = t - Tprev;
    print "A:",omega_0,omega,gamma,a_0, t, amp, T;
    Tprev = t;
  }
  vprev = v;
}
